% Run this script after the notification "Waiting for the ActorMachine.m to
% be executed." is displayed on the Experimenter PC. The script will
% automatically connect to the TCP server socket at the specified IP &
% port.
% IMPORTANT NOTE:
% Make sure that both machines (Actor PC and the Experimenter PC) are
% connected to the same wireless network.
%
% Make sure to define the machineIP as the IP of the experimenter PC and
% assign the port value to the port that is used to open the server socket. 

clear;clc;
% TCP Client Properties
machineIP = "139.179.40.86";
port = 4000;
client = tcpclient(machineIP,port);

% Color and text parameters
textsize = 50;
black = [0 0 0];
white = [255 255 255];
background = white; textcolor = black;

% Pyschtoolbox start-up
Screen('Preference', 'SkipSyncTests',1);
[wPtr, rect] = Screen('OpenWindow', 0);
feature('DefaultCharacterSet', 'UTF8')
Screen('Preference', 'TextEncodingLocale', 'UTF-8');
Screen('FillRect', wPtr, background);
Screen('TextSize', wPtr, textsize);
while 1
    if client.BytesAvailable > 0
        % If a message is received from the server, either display the
        % message or break the loop.
        message = char(read(client));
        if strcmp(message, 'end')
            % Experiment is over
            % Close the onscreen window
            sca
            break;
        else
            % Display the incoming message to the actor
            DrawFormattedText(wPtr, message,'center','center',textcolor);
            Scrren('Flip',wPtr,0);
        end
    end
end